# Trilium
Hierarchical note taking application.

![](https://raw.githubusercontent.com/wiki/zadam/trilium/images/screenshot.png)

## Features

* Notes can be arranged into arbitrarily deep hierarchy
   * Notes can have more than 1 parents - see [cloning](https://github.com/zadam/trilium/wiki/Cloning)
* WYSIWYG (What You See Is What You Get) editing
* Fast and easy [navigation between notes](https://github.com/zadam/trilium/wiki/Note-navigation)
* Seamless note versioning
* Can be deployed as web application and / or desktop application with offline access (electron based)
* [Synchronization with](https://github.com/zadam/trilium/wiki/Synchronization) self-hosted sync server
* Strong [note encryption](https://github.com/zadam/trilium/wiki/Protected-notes)

## Builds

* If you want to install Trilium on server, follow [this page](https://github.com/zadam/trilium/wiki/Installation-on-server)
* If you want to use Trilium on the desktop, download binary release from [releases], unzip the package and run ```trilium``` executable.

## Supported platforms

Desktop (electron) builds are available for Linux and Windows.

Requirements for web based installation are outlined in (https://github.com/zadam/trilium/wiki/Installation-on-server).

Currently only recent Chrome and Firefox are supported (tested) browsers. Other modern browsers should work as well.

## Documentation

See [wiki](https://github.com/zadam/trilium/wiki/Home) for complete list of available pages.
